# EpisodeOfCare read

`GET /EpisodeOfCare/{id}`

This resource contains recorded details about a patient’s association with a healthcare provider for a period of time. Typically, this is a period when the provider has some level of responsibility for patient care regarding a specific condition or problem, even if the provider isn’t currently participating in an encounter. 

You can review or retrieve episode of care information.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `Episode of Care` resource with details about a given period of time when a provider had responsibility for some aspect of patient care.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | EpisodeOfCare identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/EpisodeOfCare/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The EpisodeOfCare

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: EpisodeOfCare |
| `status` | string | Yes | planned \| waitlist \| active \| onhold \| finished \| cancelled. Possible values: planned, waitlist, active, onhold, finished, cancelled, entered-in-error |
| `patient` | object | Yes | The patient who is the focus of this episode of care. Must be a resource of type `Patient`. |
| `patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of object | No | The EpisodeOfCare may be known by different identifiers for different contexts of use, such as when an external agency is tracking the Episode for funding purposes. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `statusHistory` | Array of object | No | The history of statuses that the EpisodeOfCare has been through (without requiring processing the history of the resource). |
| `statusHistory[].status` | string | Yes | planned \| waitlist \| active \| onhold \| finished \| cancelled. Possible values: planned, waitlist, active, onhold, finished, cancelled, entered-in-error |
| `statusHistory[].period` | object | Yes | The period during this EpisodeOfCare that the specific status applied. |
| `statusHistory[].period.start` | string | No | The start of the period. The boundary is inclusive. |
| `statusHistory[].period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `type` | Array of object | No | A classification of the type of episode of care; e.g. specialist referral, disease management, type of funded care. |
| `type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `diagnosis` | Array of object | No | The list of diagnosis relevant to this episode of care. |
| `diagnosis[].condition` | object | Yes | A list of conditions/problems/diagnoses that this episode of care is intended to be providing care for. Must be a resource of type `Condition`. |
| `diagnosis[].condition.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `managingOrganization` | object | No | The organization that has assumed the specific responsibilities for the specified duration. Must be a resource of type `Organization`. |
| `managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `period` | object | No | The interval during which the managing organization assumes the defined responsibility. |
| `period.start` | string | No | The start of the period. The boundary is inclusive. |
| `period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `referralRequest` | Array of object | No | Referral Request(s) that are fulfilled by this EpisodeOfCare, incoming referrals. Must be a resource of type `ServiceRequest`. |
| `referralRequest[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `careManager` | object | No | The practitioner that is the care manager/care coordinator for this patient. Must be a resource of type `Practitioner`. |
| `careManager.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `team` | Array of object | No | The list of practitioners that may be facilitating this episode of care for specific purposes. Must be a resource of type `CareTeam`. |
| `team[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `account` | Array of object | No | The set of accounts that may be used for billing for this EpisodeOfCare. Must be a resource of type `Account`. |
| `account[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |

#### Current Episode Of Care

```json
{
  "resourceType": "EpisodeOfCare",
  "id": "current-episode-of-care",
  "identifier": [
    {
      "use": "usual",
      "system": "http://example.org/sampleepisodeofcare-identifier",
      "value": "1238141"
    }
  ],
  "status": "active",
  "statusHistory": [
    {
      "status": "planned",
      "period": {
        "start": "2021-06-17T20:33:22.422Z",
        "end": "2021-06-17T20:33:22.422Z"
      }
    }
  ],
  "type": [
    {
      "coding": [
        {
          "system": "http://terminology.hl7.org/CodeSystem/episodeofcare-type",
          "code": "hacc",
          "display": "Home and Community Care"
        }
      ]
    }
  ],
  "diagnosis": [
    {
      "condition": {
        "reference": "Condition/RedoxConditionExampleEncounterDx"
      }
    }
  ],
  "patient": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "managingOrganization": {
    "reference": "Organization/RedoxOrganizationManagingExample"
  },
  "period": {
    "start": "2021-06-17T20:33:22.422Z",
    "end": "2021-06-17T20:33:22.422Z"
  },
  "referralRequest": [
    {
      "reference": "ServiceRequest/RedoxServiceRequestOrderExample"
    }
  ],
  "careManager": {
    "reference": "Practitioner/RedoxPractitionerExamplePat"
  },
  "team": [
    {
      "reference": "CareTeam/RedoxCareTeamExample"
    }
  ],
  "account": [
    {
      "reference": "Account/RedoxAccountExample"
    }
  ]
}
```

#### Patient Episode Of Care

```json
{
  "resourceType": "EpisodeOfCare",
  "id": "patient-episode-of-care",
  "identifier": [
    {
      "use": "usual",
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "1238141"
    }
  ],
  "status": "active",
  "statusHistory": [
    {
      "status": "planned",
      "period": {
        "start": "2021-06-17T20:33:22.422Z",
        "end": "2021-06-17T20:33:22.422Z"
      }
    }
  ],
  "type": [
    {
      "coding": [
        {
          "system": "http://terminology.hl7.org/CodeSystem/v2-0276",
          "code": "FOLLOWUP",
          "display": "A follow up visit from a previous appointment"
        }
      ]
    }
  ],
  "diagnosis": [
    {
      "condition": {
        "reference": "Condition/RedoxConditionExampleEncounterDx"
      }
    }
  ],
  "patient": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "managingOrganization": {
    "reference": "Organization/RedoxOrganizationManagingExample"
  },
  "period": {
    "start": "2021-06-17T20:33:22.422Z",
    "end": "2021-06-17T20:33:22.422Z"
  },
  "referralRequest": [
    {
      "reference": "ServiceRequest/RedoxServiceRequestOrderExample"
    }
  ],
  "careManager": {
    "reference": "Practitioner/RedoxPractitionerExamplePat"
  },
  "team": [
    {
      "reference": "CareTeam/RedoxCareTeamExample"
    }
  ],
  "account": [
    {
      "reference": "Account/RedoxAccountExample"
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
